com.jscape.inet.mft.management.descriptors

## Class IPAccessServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.IPAccessServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class IPAccessServiceDescriptor
      extends ServiceDescriptor

  IP access service descriptor. The service described by this descriptor takes responsibility for providing server access basing on specified rules.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPAccessServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `IPAccessServiceDescriptor(int version, IPAccessRule... rules)` Creates a new descriptor instance.
    `IPAccessServiceDescriptor(IPAccessServiceDescriptor that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(IPAccessRule rule)`
    `Configuration` | `copy()`
    `IPAccessRule[]` | `getRules()` Returns access rules.
    `void` | `remove(IPAccessRule rule)`
    `void` | `setRules(IPAccessRule[] value)` Sets access rules.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IPAccessServiceDescriptor

          public IPAccessServiceDescriptor(int version,
                                           IPAccessRule... rules)

      Creates a new descriptor instance.
      Parameters:
        `rules` - access rules

    - #### IPAccessServiceDescriptor

          public IPAccessServiceDescriptor(IPAccessServiceDescriptor that)

    - #### IPAccessServiceDescriptor

          public IPAccessServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getRules

          public IPAccessRule[] getRules()

      Returns access rules.
      Returns:
        access rules

    - #### setRules

          public void setRules(IPAccessRule[] value)

      Sets access rules.
      Parameters:
        `value` - access rules

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### add

          public void add(IPAccessRule rule)

    - #### remove

          public void remove(IPAccessRule rule)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.